Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Integard Home and Pro HTTP Buffer Overflow Vulnerability

Information

Severity

Severity

Medium

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

6.8

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

12 years ago

Modified

Modified

3 years ago

Summary

The host is running Integard Home/Pro internet content filter HTTP server and is prone to buffer overflow vulnerability.

Insight

Insight

The flaw is due to a boundary error within the web interface when processing certain HTTP requests. This can be exploited to cause a stack-based buffer overflow by sending specially crafted HTTP POST requests containing an overly long 'Password' parameter to the web interface.

Affected Software

Affected Software

Integard Home version prior to 2.0.0.9037 Integard Pro version prior to 2.2.0.9037

Solution

Solution

Upgrade to Integard Pro version 2.2.0.9037 or Integard Home version 2.0.0.9037.